{% extends 'Proyecto/viewProyectoBase.html' %}
{% load custom_tags %}
{% block tab-roles %}
    <li class="nav-item">
        <a class="nav-link active" href="#">Roles</a>
    </li>
{% endblock %}
{% block content-project %}

    <div class="input-group">
        <input type="text" id="buscarRol" onkeyup="buscarTabla('buscarRol','tablaRoles')"
               placeholder="Buscar por nombre"
               title="Escriba un rol" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">
    </div>
    <table class="table table-hover" id="tablaRoles">
        <thead class="thead-dark">
        <tr>
            <th scope="col" onclick="sortTable(0,'tablaRoles','String')">Nombre</th>
            <th scope="col" onclick="sortTable(1,'tablaRoles','String')">Descripcion</th>
            <th scope="col">Accion</th>
        </tr>
        </thead>
        <tbody>
        {% for rol in listRoles %}
            <tr>
                <td scope="row">{{ rol.nombre }}</td>
                <td style="word-wrap: break-word;min-width: 160px;max-width: 160px;">{{ rol.descripcion }}</td>

                <td>
                    <a href="{% url 'Proyecto:verRolProyecto' rol.id %}" class="btn btn-success">
                        Ver</a>

                    {% if proyecto.estado != 'T' %}
                        <a href="{% url 'Proyecto:editarRolProyecto' rol.id %}" class="btn btn-primary
                        {% if permisos %}{% if not permisos|get_at_index:7 %} disabled {% endif %}{% endif %}">
                            Editar</a>
                    {% endif %}

                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <div>
        <div class="p-3">
            {% if proyecto.estado != 'T' %}
                <a href="{% url 'Proyecto:crearRolProyecto' idProyecto %}" class="btn btn-primary
                {% if permisos %}{% if not permisos|get_at_index:6 %} disabled {% endif %}{% endif %}">Nuevo Rol</a>
                <a href="{% url 'Proyecto:listarProyectosRol' idProyecto %}"
                   class="btn btn-primary {% if permisos %}{% if not permisos|get_at_index:6 %} disabled {% endif %}{% endif %}"> Importar Roles</a>
            {% endif %}
            <a class="btn btn-secondary center" href="{% url 'Proyecto:index' %} "
               role="button">Volver</a>
        </div>
    </div>
{% endblock %}